NI Warns Against OSX 10.11 El Capitan Update

Last updated 5 August, 2017

4631

El Capitan Main Image
NI says there’s a compatibility issue with Apple’s upcoming OSX 10.11 El Capitan operating system update and legacy Traktor gear.

Hold up on that update – Native Instruments says that Apple’s imminent OSX 10.11 “El Capitan” update has some issues with legacy Traktor hardware. If you’ve got a Traktor Kontrol S4 MK1, Traktor Kontrol X1 MK1, Traktor Audio 2 MK1, Audio 8 DJ, Audio 4 DJ, Audio 2 DJ, or Maschine MK1, the new OSX update will crash your computer when used with any of the mentioned devices.

The good news is that Native already has beta drivers available to patch this issue, and is confident that updated drivers will be released soon after the OSX 10.11 update is publicly available – but the advice for now is to hold off.

Operating system updates are a tricky thing because it sometimes takes a bit of time for hardware manufacturers and third party software vendors to get up to speed. As always, it’s best to take a “wait and see” stance instead of being an early adopter, lest you fancy dealing with incompatibilities and have a lot of spare time to troubleshoot gear.

• Find out more about this issue over at the Native Instruments website.

Any system update nightmares you’d want to share with us? Do so in the comments below.

Numark DJ Census 2020